/*
Theme Name:   Astra Kunkode
Theme URI:    https://wordpress.kunkode.com/
Description:  A child theme of Astra.
Author:       Kunkode
Author URI:   https://wordpress.kunkode.com/
Template:     astra
Version:      1.0.0
Text Domain:  astra-kunkode
*/

@keyframes fadeInUpSmall {
  from {
    opacity: 0.7;
    transform: translateY(90px); /* Adjust this value for a smaller or larger "up" movement */
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.fade-in-up-small {
  animation: fadeInUpSmall 0.8s ease-out forwards; /* Adjust duration and timing function as needed */
}

@keyframes StickyHeaderScrollDown {
  from {
    transform: translateY(-100%); /* Adjust this value for a smaller or larger "up" movement */
  }
  to {
    transform: translateY(0);
  }
}

.fade-in-up-small {
  animation: fadeInUpSmall 0.8s ease-out forwards; /* Adjust duration and timing function as needed */
}

.sticky-header-scroll-down {
  animation: StickyHeaderScrollDown 0.5s ease-out forwards; /* Adjust duration and timing function as needed */
}

body:not(.elementor-editor-active) #ast-desktop-header{
  position: fixed;
  width: 100%;
  z-index: 1099;
}

/* support sticky-header */
.elementor-menu-anchor::before {
  content: "";
  display: block;
  height: 110px; /* sticky header height */
  margin-top: -110px;
}

a:focus, a:focus-visible{
  outline: none;
}